# round

Round the given time value to nearest bucket start value.

## Signature

> round(timeValue, bucketSize)

## Usage Examples

Round seconds epoch value to the start value of the 30 seconds bucket to which it belongs.

```sql
select round(1639144274, 30) AS rounded
FROM ignoreMe
```

| rounded    |
| ---------- |
| 1639144260 |

Round milliseconds epoch value to the start value of the 5,000 milliseconds bucket to which it belongs.

```sql
select round(1639144274000, 5000) AS rounded
FROM ignoreMe
```

| rounded       |
| ------------- |
| 1639144270000 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinot.apache.org/release-0.12.1/configuration-reference/functions/round.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
